CREATE OR REPLACE PROCEDURE ADD_ARCHIVO_REGISTRO (NOMBREDEARCHIVO IN VARCHAR2) IS
BEGIN
    INSERT INTO ARCHIVOSDEREGISTRO (NOMBRE_DE_ARCHIVO ) VALUES (NOMBREDEARCHIVO);
END;

create or replace trigger ARCHI_REGISTRO_SEQ  
   before insert on "CLINICA"."ARCHIVOSDEREGISTRO" 
   for each row 
begin  
   if inserting then 
      if :NEW."ID_ARCHIVO" is null then 
         select ARCHIVOS_REGISTRO_SEQUENCE.nextval into :NEW."ID_ARCHIVO" from dual; 
      end if; 
   end if; 
end;
CREATE SEQUENCE ARCHIVOS_REGISTRO_SEQUENCE
 START WITH     1
 INCREMENT BY   1
 NOCACHE
 NOCYCLE;


